Bug 2210 - libtool incorrectly built as a noarch
libtool incorrectly built as a noarch
Product: Red Hat Linux
Classification: Retired
Component: libtool (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-04-16 06:14 EDT by James Henstridge
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-05-11 16:20:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Henstridge 1999-04-16 06:14:51 EDT
The libtool RPM installs an executable called libtool, which
includes some system specific information gathered by the
configure script.  This information could concievably be
different for different platforms, but the same noarch RPM
is used for all platforms.

It is true that the one package will `work' on all
platforms, but it may not be correct on all platforms.

I don't know if this bug has been fixed in 5.9
Comment 1 Jeff Johnson 1999-05-11 16:20:59 EDT
Red Hat systems are similar enough that libtool is safely a noarch
package. Red Hat also explicitly does not include the per-arch
libraries. This has been made explicit in libtool-1.3-2.

Note You need to log in before you can comment on or make changes to this bug.